

#ifndef  __ICS_RL78F14__
#define  __ICS_RL78F14__



#define   ICS_R5F10PAx      (0x0000)   //  30pin 
#define   ICS_R5F10PBx      (0x1000)   //  32pin 
#define   ICS_R5F10PGx      (0x2000)   //  48pin 
#define   ICS_R5F10PLx      (0x3000)   //  64pin 
#define   ICS_R5F10PMx      (0x4000)   //  80pin 
#define   ICS_R5F10PPx      (0x5000)   // 100pin 


// RL78/F14                            // 30p 32p 48p 64p 80p 100p
#define   ICS_SCI0_P62_P61  (0x00)     //     (o) (o) (o) (o) (o)  // sub
#define   ICS_SCI0_P15_P16  (0x01)     //  o   o   o   o   o   o   // main
#define   ICS_SCI1_P74_P75  (0x10)     //             (o) (o) (o)  // sub
#define   ICS_SCI1_P12_P11  (0x11)     //  o   o   o   o   o   o   // main


// SSOP30-0.65
#define   ICS_R5F10PAx_SCI0_P15_P16  (ICS_R5F10PAx|ICS_SCI0_P15_P16)
#define   ICS_R5F10PAx_SCI1_P12_P11  (ICS_R5F10PAx|ICS_SCI1_P12_P11)

// QFN32-0.50
#define   ICS_R5F10PBx_SCI0_P62_P61  (ICS_R5F10PBx|ICS_SCI0_P62_P61)
#define   ICS_R5F10PBx_SCI0_P15_P16  (ICS_R5F10PBx|ICS_SCI0_P15_P16)
#define   ICS_R5F10PBx_SCI1_P12_P11  (ICS_R5F10PBx|ICS_SCI1_P12_P11)

// LQFP48-0.50
#define   ICS_R5F10PGx_SCI0_P62_P61  (ICS_R5F10PGx|ICS_SCI0_P62_P61)
#define   ICS_R5F10PGx_SCI0_P15_P16  (ICS_R5F10PGx|ICS_SCI0_P15_P16)
#define   ICS_R5F10PGx_SCI1_P12_P11  (ICS_R5F10PGx|ICS_SCI1_P12_P11)

// LQFP64-0.50
#define   ICS_R5F10PLx_SCI0_P62_P61  (ICS_R5F10PLx|ICS_SCI0_P62_P61)
#define   ICS_R5F10PLx_SCI0_P15_P16  (ICS_R5F10PLx|ICS_SCI0_P15_P16)
#define   ICS_R5F10PLx_SCI1_P12_P11  (ICS_R5F10PLx|ICS_SCI1_P12_P11)   // ECU001 CN9
#define   ICS_R5F10PLx_SCI1_P74_P75  (ICS_R5F10PLx|ICS_SCI1_P74_P75)   

// LQFP80-0.50
#define   ICS_R5F10PMx_SCI0_P62_P61  (ICS_R5F10PMx|ICS_SCI0_P62_P61)   // T5102 CN4
#define   ICS_R5F10PMx_SCI0_P15_P16  (ICS_R5F10PMx|ICS_SCI0_P15_P16)
#define   ICS_R5F10PMx_SCI1_P74_P75  (ICS_R5F10PMx|ICS_SCI1_P74_P75)   // T5102 CN5
#define   ICS_R5F10PMx_SCI1_P12_P11  (ICS_R5F10PMx|ICS_SCI1_P12_P11)

// LQFP100-0.50
#define   ICS_R5F10PPx_SCI0_P62_P61  (ICS_R5F10PPx|ICS_SCI0_P62_P61)   
#define   ICS_R5F10PPx_SCI0_P15_P16  (ICS_R5F10PPx|ICS_SCI0_P15_P16)   
#define   ICS_R5F10PPx_SCI1_P74_P75  (ICS_R5F10PPx|ICS_SCI1_P74_P75)   
#define   ICS_R5F10PPx_SCI1_P12_P11  (ICS_R5F10PPx|ICS_SCI1_P12_P11)   



void     ics2_init(uint16_t addr, uint16_t pin, uint8_t level, uint8_t num, uint8_t brr, uint8_t mode);
void     ics2_watchpoint(void); 
uint32_t ics2_version(void);

void     int_ics_sci_rx(void);
void     int_ics_sci_tx(void);

#endif

